#include <stdio.h>

int main(void){
    char buf[128] = "Hello world!";
    char t = 'a';
    //char *c = buf;
    char *c = &t;

    printf("%c\n", *c);
    *c = buf[0];
    printf("%c\n", *c);

    return 0;
}
